Bug 468972 - Anaconda expects --dhcpclass but writes --class in anaconda-ks.cfg
Anaconda expects --dhcpclass but writes --class in anaconda-ks.cfg
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.3
All Linux
high Severity medium
: rc
: ---
Assigned To: Chris Lumens
Alexander Todorov
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-29 06:13 EDT by Alexander Todorov
Modified: 2009-01-20 16:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:33:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch (681 bytes, patch)
2008-10-29 06:13 EDT, Alexander Todorov
no flags Details | Diff

  None (edit)
Description Alexander Todorov 2008-10-29 06:13:34 EDT
Created attachment 321774 [details]
patch 

Description of problem:
Anaconda will produce a kickstart file it can't parse when using the --dhcpclass option. 

Additional info:
I'm requesting this for 5.3 to complete the other 2 bugs featuring --dhcpclass:
bug #248910, bug #248912. Attached is patch that was just sent to anaconda-devel-list. The problem persists also in Rawhide.
Comment 1 Chris Lumens 2008-10-30 10:58:33 EDT
We fixed this for pykickstart in 5.2.  It's worth finishing the job here in 5.3.
Comment 3 Chris Lumens 2008-11-04 12:04:58 EST
This should be fixed in anaconda-11.1.2.153.
Comment 8 errata-xmlrpc 2009-01-20 16:33:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0164.html

Note You need to log in before you can comment on or make changes to this bug.